<!DOCTYPE html>
<html>

<head>
    <meta charset="utf-8">
    <title>userList</title>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<div class="p-3  bg-secondary text-white row">
    <div class="col-sm-12">

        <div class="text-right">
            <strong>ユーザ名 さん　　　</strong>

            <t style="color: #dc3545;"><u>ログアウト</u></t>

        </div>
    </div>
</div>

<br><br>

<h1 align="center">ユーザ一覧</h1>


<p class="text-right" style="color: #007bff">
    <u>新規登録</u>
</p>



<form>
    <div class="form-group row">
        <label for="id" class="col-2 col-form-label">ログインID</label>
        <div class="col-7">
            <input type="text" class="form-control">
        </div>
    </div>

    <div class="form-group row">
        <label for="user" class="col-2 col-form-label">ユーザ一名</label>
        <div class="col-7">
            <input type="text" class="form-control">
        </div>
    </div>

    <div class="form-group row">
        <label for="birthday" class="col-2 col-form-label">生年月日</label>
        <div class="col-3">
            <input type="date" class="form-control">
        </div>

        <p class="col-1">〜</p>

        <div class="col-3">
            <input type="date" class="form-control">
        </div>
    </div>

    <div class="text-right">
        <button type="submit" class="btn btn-primary w-25">検索</button>
    </div>

</form>

<hr>

<div class="p-3 mb-2  text-white">
    <table class="table table-bordered">
        <thead class="bg-secondary">
            
                <tr>
                    <th scope="col">ログインID</th>
                    <th scope="col">ユーザ名</th>
                    <th scope="col">生年月日</th>
                    <th scope="col"></th>
                </tr>
        </thead>
</div>
<tbody>

    <tbody>
        <c:forEach var="user" items="${userList}" >
          <tr>
            <td>${user.loginId}</td>
            <td>${user.name}</td>
            <td>${user.birthDate}</td>
            <!-- TODO 未実装；ログインボタンの表示制御を行う -->
            <td>
                <div class="form-group row justify-content-center">
              <a class="btn btn-primary" href="UserDetailServlet?id=${user.id}">詳細</a>
              <a class="btn btn-success" href="UserUpdateServlet?id=${user.id}">更新</a>
              <a class="btn btn-danger" href ="UserDeleteServlet?id=${user.id}">削除</a>
            </div>
            </td>
          </tr>
        </c:forEach>
      </tbody>

    <tr>
        <th scope="row">id0001</th>
        <td>田中太郎</td>
        <td>1989年04月26日</td>
        <td>
            <div class="form-group row justify-content-center">
                <button type="button" class="btn btn-primary">詳細</button>
                <button type="button" class="btn btn-success">更新</button>
                <button type="button" class="btn btn-danger">削除</button>
            </div>
        </td>
    </tr>

    <tr>
        <th scope="row">id0002</th>
        <td>佐藤二郎</td>
        <td>2001年11月12日</td>
        <td>
            <div class="form-group row justify-content-center">
                <button type="button" class="btn btn-primary">詳細</button>
                <button type="button" class="btn btn-success">更新</button>
                <button type="button" class="btn btn-danger">削除</button>
            </div>
        </td>
    </tr>

    <tr>

        <th scope="row">id0002</th>
        <td>佐川真司</td>
        <td>2000年01月01日</td>
        <td>
            <div class="form-group row justify-content-center">
            <button type="button" class="btn btn-primary">詳細</button>
            <button type="button" class="btn btn-success">更新</button>
            <button type="button" class="btn btn-danger">削除</button>
            </div>
        </td>
    </tr>
</tbody>
</table>

</body>

</html>